> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invalidate Device

> Invalidate a user's device, treating it as if it were a new device on subsequent actions.



## OpenAPI

````yaml server-api POST /users/{userId}/devices/{deviceId}/invalidate
openapi: 3.0.0
info:
  description: Authsignal's Server API.
  version: 1.0.0
  title: Server API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1
  - url: https://au.api.authsignal.com/v1
  - url: https://eu.api.authsignal.com/v1
  - url: https://ca.api.authsignal.com/v1
security:
  - basicAuth: []
tags:
  - name: users
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenge
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: authenticator configurations
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: actions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: query
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: email
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sms
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: verify
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenges
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sessions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: devices
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /users/{userId}/devices/{deviceId}/invalidate:
    post:
      tags:
        - devices
      summary: Invalidate device
      description: >-
        Invalidate a user's device, treating it as if it were a new device on
        subsequent actions.
      operationId: invalidateDevice
      parameters:
        - $ref: '#/components/parameters/userId'
        - $ref: '#/components/parameters/deviceId'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDevice'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    userId:
      name: userId
      in: path
      description: The ID of the user.
      required: true
      schema:
        type: string
    deviceId:
      name: deviceId
      in: path
      description: The ID of the device.
      required: true
      schema:
        type: string
  schemas:
    UserDevice:
      type: object
      properties:
        userId:
          type: string
          description: The ID of the user.
        deviceId:
          type: string
          description: The ID of the device.
        createdAt:
          type: string
          format: date-time
          description: The time when the device was first created.
        authenticatedAt:
          type: string
          format: date-time
          description: The time when the device was last authenticated.
        invalidatedAt:
          type: string
          format: date-time
          description: The time when the device was invalidated.
        rememberedUntil:
          type: string
          format: date-time
          description: >-
            The time until which the device is remembered. While this timestamp
            is in the future, the `device.isRemembered` rules engine feature
            returns `true` for actions performed on this device.
        lastVerificationMethod:
          $ref: '#/components/schemas/VerificationMethod'
          description: The verification method last used on this device.
      required:
        - userId
        - deviceId
        - createdAt
    VerificationMethod:
      type: string
      enum:
        - SMS
        - AUTHENTICATOR_APP
        - EMAIL_MAGIC_LINK
        - EMAIL_OTP
        - PUSH
        - DEVICE
        - SECURITY_KEY
        - PASSKEY
        - VERIFF
        - IPROOV
        - PALM_BIOMETRICS_RR
        - IDVERSE
    Error:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Server API secret key as the username and leave the
        password empty. The secret key can be found in the API Keys section of
        the Authsignal Portal settings page.

````